// ----------------------------------
// Filename      : Point3D.java
// Created       : 02/11/1999
// Last modified : 27/12/1999
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// ----------------------------------

package mitrasim.engine3d;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class Point3D
{
  // the cartesian-coordinates
  public float fX;
  public float fY;
  public float fZ;

  public Point3D()
  {
    set(0.0f,0.0f,0.0f);
  }

  public Point3D(float x, float y, float z)
  {
    set(x,y,z);
  }

  public void set(float x, float y, float z)
  {
    fX = x;
    fY = y;
    fZ = z;
  }

  public void show()
  {
    System.out.println("(X,Y,Z) = (" + fX + "," + fY + "," + fZ + ")");
  }
}
