// -----------------------------------
// Filename      : SphericalPoint.java
// Created       : 02/11/1999
// Last modified : 02/11/1999
// Target        : Java VM
// Author        : Sven Maerivoet
//
// All rights reserved.
// Universitaire Instelling Antwerpen
// -----------------------------------

package mitrasim.engine3d;

/** @author Sven Maerivoet<BR>
    All rights reserved.<BR>
    Universitaire Instelling Antwerpen
*/
public class SphericalPoint
{
  // the spherical-coordinates
  public float fRho;
  public float fPhi;
  public float fTheta;

  public SphericalPoint()
  {
    fRho = (float) 1.0;
    fPhi = (float) 0.0;
    fTheta = (float) 0.0;
  }

  public SphericalPoint(float rho, float phi, float theta)
  {
    fRho = rho;
    fPhi = phi;
    fTheta = theta;
  }

  public void show()
  {
    System.out.println("(Rho,Phi,Theta) = (" + fRho + "," + fPhi + "," + fTheta + ")");
  }
}
